<back to all web services

PageMarkupRequest

The following routes are available for this service:
POST/RestApi/markup/pages
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class PageMarkupRequest
{
    open var Keys:ArrayList<String>? = null
}

open class TemplateMarkupResponseCollection<T>
{
    open var Items:IList<PageMarkupModel>? = null
}

open class PageMarkupModel : TemplateMarkupModel()
{
    open var Key:String? = null
    open var CultureName:String? = null
    open var VersionKey:String? = null
    open var Url:String? = null
    open var ErrorMessage:String? = null
}

open class TemplateMarkupModel
{
    open var Markup:String? = null
    open var FileName:String? = null
    open var VirtualPath:String? = null
    open var VirtualDirectory:String? = null
}

Kotlin PageMarkupRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/markup/pages HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{}